require 'spec_helper'

describe Faraday::ClientErrorHandling::Parser do
  let(:parser) { Faraday::ClientErrorHandling::Parser.new }
  let(:logger) { double('logger') }

  before :each do
  end

  it 'logs errors using PhrLogging' do
    PhrLogging.configure do |c|
      c.logger = logger
    end

    expect(logger).to receive(:warn)

    env = Hash.new
    env[:body] = MultiJson.dump(
      {
        data: '',
        errors: {error: 'I am an error'},
        metadata: ''
      }
    )

    parser.on_complete(env)
  end

  it 'handles head responses' do
    env = Hash.new
    env[:body] = ''
    parser.on_complete(env)

    expect(env[:body]).to eq({
                        data: {},
                        errors: {},
                        metadata: {}
                      })

  end
end
